Subject: Re: bug#21383: Static revisions in vc-working-revision

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Sep 2015 16:07:32 -0400

> We err on the side of speed currently, instead of correctness. The file
> properties are invalidated during certain operations, like saving or
> reverting the buffer.

Also VC was designed when revisions were per-file, and the way we
extended it is to say that it's OK to have an out-of-date revision
number for a given file, if that file's content is the same in the
current revision.

        Stefan